//
//  MyChatContentView.swift
//  Sailassist
//
//  Created by Mamoru Sugita on 2023/11/08.
//

import SwiftUI

struct MyChatContentView: View {
    var body: some View {
        HStack {
            Spacer()
            VStack(alignment: .trailing, spacing: 6) {
                Text("テキストメッセージテキストメッセージテキストメッセージテキストメッセージテキストメッセージテキストメッセージ")
                    .font(FontStyle.DefaultText.font)
                    .foregroundColor(ColorSet.BodyChat.color)
                    .padding(15)
                    .background(ColorSet.ChatBaloon.color)
                    .cornerRadius(10, corners: [.tl, .tr, .bl])
                
                HStack(spacing: 0){
                    Text("yyyy/MM/dd hh:mm")
                        .padding(.trailing, 8)
                    
                    Image(systemName: "eye.fill")
                        .resizable()
                        .scaledToFit()
                        .frame(width: 17, height: 17)
                        .padding(.trailing, 4)
                    
                    Text("1")
                }
                .font(FontStyle.DateText.font)
                .foregroundColor(ColorSet.BodyDescriptiion.color)
            }
            .padding(.trailing, 20)
        }
        .padding(.leading, 80)
    }
}

#Preview {
    MyChatContentView()
}
